<?php
/**
 * Clase Base Bean para BaseCrCovid19detalleBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCovid19detalleBN
 * @author     Willy
 * @version    SVN:: BaseCrCovid19detalleBN.class.php,v 1.1 2020-04-15 14:47:46 william.taype Exp $
 */
abstract class BaseCrCovid19detalleBN
{
  protected $Idsucursal;
  protected $Idmercado;
  protected $Idprestamo;
  protected $Fechavencimientoanterior;
  protected $Fechavencimientonuevo;
  protected $Diasdiferencia;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Mensaje;
  protected $Error;

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getIdmercado(){
    return $this->Idmercado;
  }
  public function setIdmercado($v1){
    $this->Idmercado = $v1; 
  }

  public function getIdprestamo(){
    return $this->Idprestamo;
  }
  public function setIdprestamo($v1){
    $this->Idprestamo = $v1; 
  }

  public function getFechavencimientoanterior(){
    return $this->Fechavencimientoanterior;
  }
  public function setFechavencimientoanterior($v1){
    $this->Fechavencimientoanterior = $v1; 
  }

  public function getFechavencimientonuevo(){
    return $this->Fechavencimientonuevo;
  }
  public function setFechavencimientonuevo($v1){
    $this->Fechavencimientonuevo = $v1; 
  }

  public function getDiasdiferencia(){
    return $this->Diasdiferencia;
  }
  public function setDiasdiferencia($v1){
    $this->Diasdiferencia = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_covid19detalleBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_covid19detalleRs )
  {
    $o_CrCovid19detalleBN = new CrCovid19detalleBN();
    $o_CrCovid19detalleBN->setIdsucursal( $o_Cr_covid19detalleRs['idsucursal'] );
    $o_CrCovid19detalleBN->setIdmercado( $o_Cr_covid19detalleRs['idmercado'] );
    $o_CrCovid19detalleBN->setIdprestamo( $o_Cr_covid19detalleRs['idprestamo'] );
    $o_CrCovid19detalleBN->setFechavencimientoanterior( $o_Cr_covid19detalleRs['fechavencimientoanterior'] );
    $o_CrCovid19detalleBN->setFechavencimientonuevo( $o_Cr_covid19detalleRs['fechavencimientonuevo'] );
    $o_CrCovid19detalleBN->setDiasdiferencia( $o_Cr_covid19detalleRs['diasdiferencia'] );
    $o_CrCovid19detalleBN->setFecharegistro( $o_Cr_covid19detalleRs['fecharegistro'] );
    $o_CrCovid19detalleBN->setUsuarioregistro( $o_Cr_covid19detalleRs['usuarioregistro'] );
    return $o_CrCovid19detalleBN;
  }
}